<?php
class votos {
  var $num;
  var $ids;

  function votos() {
    $this->num=0;
    $ids=array();
  }

  function votar($id) {
    for($i=0;$i<$this->num;$i++) if($this->ids[$i]==$id) return 0;
    $this->ids[$this->num]=$id;
    $this->num++;
    return 1;
  }
}
?>
